Package org.jcsp.lang

# Class ChannelOutputWrapper

java.lang.Object
org.jcsp.lang.ChannelOutputWrapper

All Implemented Interfaces:
  `ChannelOutput`, `Poisonable`

Direct Known Subclasses:
  `FilteredSharedChannelOutputWrapper`

public class ChannelOutputWrapper extends Object implements ChannelOutput
Deprecated.
There is no longer any need to use this class, after the 1.1 class reorganisation.
Defines a wrapper to go around a channel output end. This wrapper allows a channel end to be given away without any risk of the user of that end casting it to a channel input because they cannot gain access to the actual channel end.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`ChannelOutputWrapper(ChannelOutput out)`
Deprecated.
Creates a new wrapper for the given channel end.

## Method Summary

Modifier and Type
Method
Description
`void`
`poison(int strength)`
Deprecated.
This injects poison into the channel.
`void`
`write(Object o)`
Deprecated.
Writes a value to the channel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChannelOutputWrapper

public ChannelOutputWrapper(ChannelOutput out)
Deprecated.
Creates a new wrapper for the given channel end.

Parameters:
  `out` - the existing channel end.

## Method Details

### write

public void write(Object o)
Deprecated.
Writes a value to the channel.

Specified by:
  `write` in interface `ChannelOutput`
Parameters:
  `o` - the value to write.
See Also:
  - `ChannelOutput`

### poison

public void poison(int strength)
Deprecated.
Description copied from interface: `Poisonable`
This injects poison into the channel. If the channel was not explicitly constructed to be poisonable or if the strength of poison is not greater than the channel immunity level, the poison will have no effect.

Specified by:
  `poison` in interface `Poisonable`
Parameters:
  `strength` - the strength of the poison (must be >= 0).